package com.bootdo.system.dao;

import com.bootdo.system.domain.SearchDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-08 15:25:01
 */
@Mapper
public interface SearchDao {

	SearchDO get(Long id);
	
	List<SearchDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(SearchDO search);
	
	int update(SearchDO search);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);
}
